## dtweb 1.13

=== Makefile ===
VERSION = 3
PATCHLEVEL = 14
SUBLEVEL = 56
EXTRAVERSION =
NAME = Remembering Coco

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not:
# o  use make's built-in rules and variables
#    (this increases performance and avoids hard-to-debug behaviour);
# o  print "Entering directory ...";
MAKEFLAGS += -rR --no-print-directory

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifeq ("$(origin W)", "command line")
  export KBUILD_ENABLE_EXTRA_GCC_CHECKS := $(W)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error output directory "$(saved-output)" does not exist))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	@:

sub-make: FORCE
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile \
	$(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

srctree		:= $(if $(KBUILD_SRC),$(KBUILD_SRC),$(CURDIR))
objtree		:= $(CURDIR)
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and 
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ \
				  -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ -e s/aarch64.*/arm64/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer -std=gnu89
HOSTCXXFLAGS = -O2

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

#	If we have only "make modules", don't compile built-in objects.
#	When we're building modules with modversions, we need to consider
#	the built-in objects during the descend as well, in order to
#	make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

#	If we have "make <whatever> modules", compile modules
#	in addition to whatever we do anyway.
#	Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed. 
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(filter 4.%,$(MAKE_VERSION)),)	# make-4
ifneq ($(filter %s ,$(firstword x$(MAKEFLAGS))),)
  quiet=silent_
endif
else					# make-3.8x
ifneq ($(filter s% -s%,$(MAKEFLAGS)),)
  quiet=silent_
endif
endif

export quiet Q KBUILD_VERBOSE


# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions (do not try to remake the file).
$(srctree)/scripts/Kbuild.include: ;
include $(srctree)/scripts/Kbuild.include

# Make variables (CC, etc...)

AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage


# Use USERINCLUDE when you must reference the UAPI directories only.
USERINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include/uapi \
		-Iarch/$(hdr-arch)/include/generated/uapi \
		-I$(srctree)/include/uapi \
		-Iinclude/generated/uapi \
                -include $(srctree)/include/linux/kconfig.h

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include \
		-Iarch/$(hdr-arch)/include/generated \
		$(if $(KBUILD_SRC), -I$(srctree)/include) \
		-Iinclude \
		$(USERINCLUDE)

KBUILD_CPPFLAGS := -D__KERNEL__

KBUILD_CFLAGS   := -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
		   -fno-strict-aliasing -fno-common \
		   -Werror-implicit-function-declaration \
		   -Wno-format-security \
		   -fno-delete-null-pointer-checks \
		   -std=gnu89

KBUILD_AFLAGS_KERNEL :=
KBUILD_CFLAGS_KERNEL :=
KBUILD_AFLAGS   := -D__ASSEMBLY__
KBUILD_AFLAGS_MODULE  := -DMODULE
KBUILD_CFLAGS_MODULE  := -DMODULE
KBUILD_LDFLAGS_MODULE := -T $(srctree)/scripts/module-common.lds

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)

=== scripts/Makefile ===
###
# scripts contains sources for various helper programs used throughout
# the kernel for the build process.
# ---------------------------------------------------------------------------
# kallsyms:      Find all symbols in vmlinux
# pnmttologo:    Convert pnm files to logo files
# conmakehash:   Create chartable
# conmakehash:	 Create arrays for initializing the kernel console tables
# docproc:       Used in Documentation/DocBook

HOST_EXTRACFLAGS += -I$(srctree)/tools/include

hostprogs-$(CONFIG_KALLSYMS)     += kallsyms
hostprogs-$(CONFIG_LOGO)         += pnmtologo
hostprogs-$(CONFIG_VT)           += conmakehash
hostprogs-$(BUILD_C_RECORDMCOUNT) += recordmcount
hostprogs-$(CONFIG_BUILDTIME_EXTABLE_SORT) += sortextable
hostprogs-$(CONFIG_ASN1)	 += asn1_compiler

HOSTCFLAGS_sortextable.o = -I$(srctree)/tools/include
HOSTCFLAGS_asn1_compiler.o = -I$(srctree)/include

always		:= $(hostprogs-y) $(hostprogs-m)

# The following hostprogs-y programs are only build on demand
hostprogs-y += unifdef docproc

# These targets are used internally to avoid "is up to date" messages
PHONY += build_unifdef build_docproc
build_unifdef: $(obj)/unifdef
	@:
build_docproc: $(obj)/docproc
	@:

subdir-$(CONFIG_MODVERSIONS) += genksyms
subdir-y                     += mod
subdir-$(CONFIG_SECURITY_SELINUX) += selinux
subdir-y         += dtc
subdir-$(CONFIG_GDB_SCRIPTS) += gdb

# Let clean descend into subdirs
subdir-	+= basic kconfig package

=== scripts/package/Makefile ===
# Makefile for the different targets used to generate full packages of a kernel
# It uses the generic clean infrastructure of kbuild

# RPM target
# ---------------------------------------------------------------------------
# The rpm target generates two rpm files:
# /usr/src/packages/SRPMS/kernel-2.6.7rc2-1.src.rpm
# /usr/src/packages/RPMS/i386/kernel-2.6.7rc2-1.<arch>.rpm
# The src.rpm files includes all source for the kernel being built
# The <arch>.rpm includes kernel configuration, modules etc.
#
# Process to create the rpm files
# a) clean the kernel
# b) Generate .spec file
# c) Build a tar ball, using symlink to make kernel version
#    first entry in the path
# d) and pack the result to a tar.gz file
# e) generate the rpm files, based on kernel.spec
# - Use /. to avoid tar packing just the symlink

# Note that the rpm-pkg target cannot be used with KBUILD_OUTPUT,
# but the binrpm-pkg target can; for some reason O= gets ignored.

# Do we have rpmbuild, otherwise fall back to the older rpm
RPM := $(shell if [ -x "/usr/bin/rpmbuild" ]; then echo rpmbuild; \
	           else echo rpm; fi)

# Remove hyphens since they have special meaning in RPM filenames
KERNELPATH := kernel-$(subst -,_,$(KERNELRELEASE))
# Include only those top-level files that are needed by make, plus the GPL copy
TAR_CONTENT := $(KBUILD_ALLDIRS) kernel.spec .config .scmversion Makefile \
               Kbuild Kconfig COPYING $(wildcard localversion*)
TAR_CONTENT := $(addprefix $(KERNELPATH)/,$(TAR_CONTENT))
MKSPEC     := $(srctree)/scripts/package/mkspec

# rpm-pkg
# ---------------------------------------------------------------------------
rpm-pkg rpm: FORCE
	@if test "$(objtree)" != "$(srctree)"; then \
		echo "Building source + binary RPM is not possible outside the"; \
		echo "kernel source tree. Don't set KBUILD_OUTPUT, or use the"; \
		echo "binrpm-pkg target instead."; \
		false; \
	fi
	$(MAKE) clean
	ln -sf $(srctree) $(KERNELPATH)
	$(CONFIG_SHELL) $(MKSPEC) >$(objtree)/kernel.spec
	$(CONFIG_SHELL) $(srctree)/scripts/setlocalversion --save-scmversion
	tar -cz $(RCS_TAR_IGNORE) -f $(KERNELPATH).tar.gz $(TAR_CONTENT)
	rm $(KERNELPATH)
	rm -f $(objtree)/.scmversion
	$(CONFIG_SHELL) $(srctree)/scripts/mkversion > $(objtree)/.tmp_version
	mv -f $(objtree)/.tmp_version $(objtree)/.version
	$(RPM) $(RPMOPTS) --target $(UTS_MACHINE) -ta $(KERNELPATH).tar.gz
	rm $(KERNELPATH).tar.gz kernel.spec

# binrpm-pkg
# ---------------------------------------------------------------------------
binrpm-pkg: FORCE
	$(MAKE) KBUILD_SRC=
	$(CONFIG_SHELL) $(MKSPEC) prebuilt > $(objtree)/binkernel.spec
	$(CONFIG_SHELL) $(srctree)/scripts/mkversion > $(objtree)/.tmp_version
	mv -f $(objtree)/.tmp_version $(objtree)/.version

	$(RPM) $(RPMOPTS) --define "_builddir $(objtree)" --target \
		$(UTS_MACHINE) -bb $(objtree)/binkernel.spec
	rm binkernel.spec

# Deb target
# ---------------------------------------------------------------------------
quiet_cmd_builddeb = BUILDDEB
      cmd_builddeb = set -e; \
	test `id -u` = 0 || \
	test -n "$(KBUILD_PKG_ROOTCMD)" || { \
		which fakeroot >/dev/null 2>&1 && \
		KBUILD_PKG_ROOTCMD="fakeroot -u"; \
	} || { \
		echo; \
		echo "builddeb must be run as root (or using fakeroot)."; \
		echo "KBUILD_PKG_ROOTCMD is unset and fakeroot not found."; \
		echo "Try setting KBUILD_PKG_ROOTCMD to a command to acquire"; \
		echo "root privileges (e.g., 'fakeroot -u' or 'sudo')."; \
		false; \
	} && \
	\
	$$KBUILD_PKG_ROOTCMD $(CONFIG_SHELL) \
		$(srctree)/scripts/package/builddeb

deb-pkg: FORCE
	$(call cmd,builddeb)

clean-dirs += $(objtree)/debian/


# tarball targets
# ---------------------------------------------------------------------------
tar%pkg: FORCE
	$(MAKE) KBUILD_SRC=
	$(CONFIG_SHELL) $(srctree)/scripts/package/buildtar $@

clean-dirs += $(objtree)/tar-install/


# perf-pkg - generate a source tarball with perf source
# ---------------------------------------------------------------------------

perf-tar=perf-$(KERNELVERSION)

quiet_cmd_perf_tar = TAR
      cmd_perf_tar = \
git --git-dir=$(srctree)/.git archive --prefix=$(perf-tar)/         \
	HEAD^{tree} $$(cd $(srctree);                               \
		       echo $$(cat $(srctree)/tools/perf/MANIFEST)) \
	-o $(perf-tar).tar;                                         \
mkdir -p $(perf-tar);                                               \
git --git-dir=$(srctree)/.git rev-parse HEAD > $(perf-tar)/HEAD;    \
(cd $(srctree)/tools/perf;                                          \
util/PERF-VERSION-GEN ../../$(perf-tar)/ 2>/dev/null);              \
tar rf $(perf-tar).tar $(perf-tar)/HEAD $(perf-tar)/PERF-VERSION-FILE; \
rm -r $(perf-tar);                                                  \
$(if $(findstring tar-src,$@),,                                     \
$(if $(findstring bz2,$@),bzip2,                                    \
$(if $(findstring gz,$@),gzip,                                      \
$(if $(findstring xz,$@),xz,                                        \
$(error unknown target $@))))                                       \
	-f -9 $(perf-tar).tar)

perf-%pkg: FORCE
	$(call cmd,perf_tar)

# Help text displayed when executing 'make help'
# ---------------------------------------------------------------------------
help: FORCE
	@echo '  rpm-pkg             - Build both source and binary RPM kernel packages'
	@echo '  binrpm-pkg          - Build only the binary kernel package'
	@echo '  deb-pkg             - Build the kernel as a deb package'
	@echo '  tar-pkg             - Build the kernel as an uncompressed tarball'
	@echo '  targz-pkg           - Build the kernel as a gzip compressed tarball'
	@echo '  tarbz2-pkg          - Build the kernel as a bzip2 compressed tarball'
	@echo '  tarxz-pkg           - Build the kernel as a xz compressed tarball'
	@echo '  perf-tar-src-pkg    - Build $(perf-tar).tar source tarball'
	@echo '  perf-targz-src-pkg  - Build $(perf-tar).tar.gz source tarball'
	@echo '  perf-tarbz2-src-pkg - Build $(perf-tar).tar.bz2 source tarball'
	@echo '  perf-tarxz-src-pkg  - Build $(perf-tar).tar.xz source tarball'

=== arch/arm/boot/dts/Makefile ===
ifeq ($(CONFIG_OF),y)

dtb-$(CONFIG_ARCH_ALPINE) += \
	alpine-db.dtb
dtb-$(CONFIG_MACH_ASM9260) += \
	alphascale-asm9260-devkit.dtb
# Keep at91 dtb files sorted alphabetically for each SoC
dtb-$(CONFIG_SOC_SAM_V4_V5) += \
	at91rm9200ek.dtb \
	mpa1600.dtb \
	animeo_ip.dtb \
	at91-qil_a9260.dtb \
	aks-cdu.dtb \
	ethernut5.dtb \
	evk-pro3.dtb \
	tny_a9260.dtb \
	usb_a9260.dtb \
	at91sam9261ek.dtb \
	at91sam9263ek.dtb \
	tny_a9263.dtb \
	usb_a9263.dtb \
	at91-foxg20.dtb \
	at91sam9g20ek.dtb \
	at91sam9g20ek_2mmc.dtb \
	kizbox.dtb \
	tny_a9g20.dtb \
	usb_a9g20.dtb \
	usb_a9g20_lpw.dtb \
	at91sam9m10g45ek.dtb \
	pm9g45.dtb \
	at91sam9n12ek.dtb \
	at91sam9rlek.dtb \
	at91-ariag25.dtb \
	at91-cosino_mega2560.dtb \
	at91sam9g15ek.dtb \
	at91sam9g25ek.dtb \
	at91sam9g35ek.dtb \
	at91sam9x25ek.dtb \
	at91sam9x35ek.dtb
dtb-$(CONFIG_SOC_SAM_V7) += \
	at91-sama5d3_xplained.dtb \
	sama5d31ek.dtb \
	sama5d33ek.dtb \
	sama5d34ek.dtb \
	sama5d35ek.dtb \
	sama5d36ek.dtb \
	at91-sama5d4_xplained.dtb \
	at91-sama5d4ek.dtb
dtb-$(CONFIG_ARCH_ATLAS6) += \
	atlas6-evb.dtb
dtb-$(CONFIG_ARCH_ATLAS7) += \
	atlas7-evb.dtb
dtb-$(CONFIG_ARCH_AXXIA) += \
	axm5516-amarillo.dtb
dtb-$(CONFIG_ARCH_BCM2835) += \
	bcm2835-rpi-b.dtb \
	bcm2835-rpi-b-plus.dtb
dtb-$(CONFIG_ARCH_BCM_5301X) += \
	bcm4708-buffalo-wzr-1750dhp.dtb \
	bcm4708-luxul-xwc-1000.dtb \
	bcm4708-netgear-r6250.dtb \
	bcm4708-netgear-r6300-v2.dtb \
	bcm47081-asus-rt-n18u.dtb \
	bcm47081-buffalo-wzr-600dhp2.dtb \
	bcm47081-buffalo-wzr-900dhp.dtb \
	bcm4709-netgear-r8000.dtb
dtb-$(CONFIG_ARCH_BCM_63XX) += \
	bcm963138dvt.dtb
dtb-$(CONFIG_ARCH_BCM_CYGNUS) += \
	bcm911360_entphn.dtb \
	bcm911360k.dtb \
	bcm958300k.dtb \
	bcm958305k.dtb
dtb-$(CONFIG_ARCH_BCM_MOBILE) += \
	bcm28155-ap.dtb \
	bcm21664-garnet.dtb
dtb-$(CONFIG_ARCH_BERLIN) += \
	berlin2-sony-nsz-gs7.dtb \
	berlin2cd-google-chromecast.dtb \
	berlin2q-marvell-dmp.dtb
dtb-$(CONFIG_ARCH_BRCMSTB) += \
	bcm7445-bcm97445svmb.dtb
dtb-$(CONFIG_ARCH_DAVINCI) += \
	da850-enbw-cmc.dtb \
	da850-evm.dtb
dtb-$(CONFIG_ARCH_DIGICOLOR) += \
	cx92755_equinox.dtb
dtb-$(CONFIG_ARCH_EFM32) += \
	efm32gg-dk3750.dtb
dtb-$(CONFIG_ARCH_EXYNOS3) += \
	exynos3250-monk.dtb \
	exynos3250-rinato.dtb
dtb-$(CONFIG_ARCH_EXYNOS4) += \
	exynos4210-origen.dtb \
	exynos4210-smdkv310.dtb \
	exynos4210-trats.dtb \
	exynos4210-universal_c210.dtb \
	exynos4412-odroidu3.dtb \
	exynos4412-odroidx.dtb \
	exynos4412-odroidx2.dtb \
	exynos4412-origen.dtb \
	exynos4412-smdk4412.dtb \
	exynos4412-tiny4412.dtb \
	exynos4412-trats2.dtb
dtb-$(CONFIG_ARCH_EXYNOS5) += \
	exynos5250-arndale.dtb \
	exynos5250-smdk5250.dtb \
	exynos5250-snow.dtb \
	exynos5250-spring.dtb \
	exynos5260-xyref5260.dtb \
	exynos5410-smdk5410.dtb \
	exynos5420-arndale-octa.dtb \
	exynos5420-peach-pit.dtb \
	exynos5420-smdk5420.dtb \
	exynos5422-odroidxu3.dtb \
	exynos5440-sd5v1.dtb \
	exynos5440-ssdk5440.dtb \
	exynos5800-peach-pi.dtb
dtb-$(CONFIG_ARCH_HI3xxx) += \
	hi3620-hi4511.dtb
dtb-$(CONFIG_ARCH_HIX5HD2) += \
	hisi-x5hd2-dkb.dtb
dtb-$(CONFIG_ARCH_HIGHBANK) += \
	highbank.dtb \
	ecx-2000.dtb
dtb-$(CONFIG_ARCH_HIP01) += \
	hip01-ca9x2.dtb
dtb-$(CONFIG_ARCH_HIP04) += \
	hip04-d01.dtb
dtb-$(CONFIG_ARCH_INTEGRATOR) += \
	integratorap.dtb \
	integratorcp.dtb
dtb-$(CONFIG_ARCH_KEYSTONE) += \
	k2hk-evm.dtb \
	k2l-evm.dtb \
	k2e-evm.dtb
dtb-$(CONFIG_MACH_KIRKWOOD) += \
	kirkwood-b3.dtb \
	kirkwood-blackarmor-nas220.dtb \
	kirkwood-cloudbox.dtb \
	kirkwood-d2net.dtb \
	kirkwood-db-88f6281.dtb \
	kirkwood-db-88f6282.dtb \
	kirkwood-dir665.dtb \
	kirkwood-dns320.dtb \
	kirkwood-dns325.dtb \
	kirkwood-dockstar.dtb \
	kirkwood-dreamplug.dtb \
	kirkwood-ds109.dtb \
	kirkwood-ds110jv10.dtb \
	kirkwood-ds111.dtb \
	kirkwood-ds209.dtb \
	kirkwood-ds210.dtb \
	kirkwood-ds212.dtb \
	kirkwood-ds212j.dtb \
	kirkwood-ds409.dtb \
	kirkwood-ds409slim.dtb \
	kirkwood-ds411.dtb \
	kirkwood-ds411j.dtb \
	kirkwood-ds411slim.dtb \
	kirkwood-goflexnet.dtb \
	kirkwood-guruplug-server-plus.dtb \
	kirkwood-ib62x0.dtb \
	kirkwood-iconnect.dtb \
	kirkwood-iomega_ix2_200.dtb \
	kirkwood-is2.dtb \
	kirkwood-km_kirkwood.dtb \
	kirkwood-laplug.dtb \
	kirkwood-lschlv2.dtb \
	kirkwood-lsxhl.dtb \
	kirkwood-mplcec4.dtb \
	kirkwood-mv88f6281gtw-ge.dtb \
	kirkwood-nas2big.dtb \
	kirkwood-net2big.dtb \
	kirkwood-net5big.dtb \
	kirkwood-netgear_readynas_duo_v2.dtb \
	kirkwood-netgear_readynas_nv+_v2.dtb \
	kirkwood-ns2.dtb \
	kirkwood-ns2lite.dtb \
	kirkwood-ns2max.dtb \
	kirkwood-ns2mini.dtb \
	kirkwood-nsa310.dtb \
	kirkwood-nsa310a.dtb \
	kirkwood-openblocks_a6.dtb \
	kirkwood-openblocks_a7.dtb \
	kirkwood-openrd-base.dtb \
	kirkwood-openrd-client.dtb \
	kirkwood-openrd-ultimate.dtb \
	kirkwood-pogo_e02.dtb \
	kirkwood-rd88f6192.dtb \
	kirkwood-rd88f6281-z0.dtb \
	kirkwood-rd88f6281-a.dtb \
	kirkwood-rs212.dtb \
	kirkwood-rs409.dtb \
	kirkwood-rs411.dtb \
	kirkwood-sheevaplug.dtb \
	kirkwood-sheevaplug-esata.dtb \
	kirkwood-t5325.dtb \
	kirkwood-topkick.dtb \
	kirkwood-ts219-6281.dtb \
	kirkwood-ts219-6282.dtb \
	kirkwood-ts419-6281.dtb \
	kirkwood-ts419-6282.dtb
dtb-$(CONFIG_ARCH_LPC32XX) += \
	ea3250.dtb phy3250.dtb
dtb-$(CONFIG_MACH_MESON6) += \
	meson6-atv1200.dtb
dtb-$(CONFIG_MACH_MESON8) += \
	meson8-minix-neo-x8.dtb
dtb-$(CONFIG_ARCH_MMP) += \
	pxa168-aspenite.dtb \
	pxa910-dkb.dtb \
	mmp2-brownstone.dtb
dtb-$(CONFIG_ARCH_MOXART) += \
	moxart-uc7112lx.dtb
dtb-$(CONFIG_SOC_IMX1) += \
	imx1-ads.dtb \
	imx1-apf9328.dtb
dtb-$(CONFIG_SOC_IMX25) += \
	imx25-eukrea-mbimxsd25-baseboard.dtb \
	imx25-eukrea-mbimxsd25-baseboard-cmo-qvga.dtb \
	imx25-eukrea-mbimxsd25-baseboard-dvi-svga.dtb \
	imx25-eukrea-mbimxsd25-baseboard-dvi-vga.dtb \
	imx25-karo-tx25.dtb \
	imx25-pdk.dtb
dtb-$(CONFIG_SOC_IMX27) += \
	imx27-apf27.dtb \
	imx27-apf27dev.dtb \
	imx27-eukrea-mbimxsd27-baseboard.dtb \
	imx27-pdk.dtb \
	imx27-phytec-phycore-rdk.dtb \
	imx27-phytec-phycard-s-rdk.dtb
dtb-$(CONFIG_SOC_IMX31) += \
	imx31-bug.dtb
dtb-$(CONFIG_SOC_IMX35) += \
	imx35-eukrea-mbimxsd35-baseboard.dtb \
	imx35-pdk.dtb
dtb-$(CONFIG_SOC_IMX50) += \
	imx50-evk.dtb
dtb-$(CONFIG_SOC_IMX51) += \
	imx51-apf51.dtb \
	imx51-apf51dev.dtb \
	imx51-babbage.dtb \
	imx51-digi-connectcore-jsk.dtb \
	imx51-eukrea-mbimxsd51-baseboard.dtb
dtb-$(CONFIG_SOC_IMX53) += \
	imx53-ard.dtb \
	imx53-m53evk.dtb \
	imx53-mba53.dtb \
	imx53-qsb.dtb \
	imx53-qsrb.dtb \
	imx53-smd.dtb \
	imx53-tx53-x03x.dtb \
	imx53-tx53-x13x.dtb \
	imx53-voipac-bsb.dtb
dtb-$(CONFIG_SOC_IMX6Q) += \
	imx6dl-aristainetos_4.dtb \
	imx6dl-aristainetos_7.dtb \
	imx6dl-cubox-i.dtb \
	imx6dl-dfi-fs700-m60.dtb \
	imx6dl-gw51xx.dtb \
	imx6dl-gw52xx.dtb \
	imx6dl-gw53xx.dtb \
	imx6dl-gw54xx.dtb \
	imx6dl-gw552x.dtb \
	imx6dl-hummingboard.dtb \
	imx6dl-nitrogen6x.dtb \
	imx6dl-phytec-pbab01.dtb \
	imx6dl-rex-basic.dtb \
	imx6dl-riotboard.dtb \
	imx6dl-sabreauto.dtb \
	imx6dl-sabreauto-ecspi.dtb \
	imx6dl-sabreauto-enetirq.dtb \
	imx6dl-sabreauto-flexcan1.dtb \
	imx6dl-sabreauto-gpmi-weim.dtb \
	imx6dl-sabrelite.dtb \
	imx6dl-sabresd.dtb \
	imx6dl-sabresd-btwifi.dtb \
	imx6dl-sabresd-hdcp.dtb \
	imx6dl-sabresd-ldo.dtb \
	imx6dl-tx6dl-comtft.dtb \
	imx6dl-tx6u-801x.dtb \
	imx6dl-tx6u-811x.dtb \
	imx6dl-udoo.dtb \
	imx6dl-sabresd-enetirq.dtb \
	imx6dl-wandboard.dtb \
	imx6dl-wandboard-revb1.dtb \
	imx6dl-udoo-hdmi.dtb \
	imx6dl-udoo-lvds7.dtb \
	imx6dl-udoo-lvds15.dtb \
	imx6q-arm2.dtb \
	imx6q-arm2-hsic.dtb \
	imx6q-pop-arm2.dtb \
	imx6q-cm-fx6.dtb \
	imx6q-cubox-i.dtb \
	imx6q-dfi-fs700-m60.dtb \
	imx6q-dmo-edmqmx6.dtb \
	imx6q-gk802.dtb \
	imx6q-gw51xx.dtb \
	imx6q-gw52xx.dtb \
	imx6q-gw53xx.dtb \
	imx6q-gw5400-a.dtb \
	imx6q-gw54xx.dtb \
	imx6q-gw552x.dtb \
	imx6q-hummingboard.dtb \
	imx6q-nitrogen6x.dtb \
	imx6q-phytec-pbab01.dtb \
	imx6q-rex-pro.dtb \
	imx6q-sabreauto.dtb \
	imx6q-sabreauto-ecspi.dtb \
	imx6q-sabreauto-enetirq.dtb \
	imx6q-sabreauto-flexcan1.dtb \
	imx6q-sabreauto-gpmi-weim.dtb \
	imx6qp-sabreauto.dtb \
	imx6qp-sabreauto-ecspi.dtb \
	imx6qp-sabreauto-flexcan1.dtb \
	imx6qp-sabreauto-gpmi-weim.dtb \
	imx6qp-sabresd.dtb \
	imx6qp-sabresd-btwifi.dtb \
	imx6qp-sabresd-hdcp.dtb \
	imx6qp-sabresd-ldo.dtb \
	imx6q-sabrelite.dtb \
	imx6q-sabresd.dtb \
	imx6q-sabresd-btwifi.dtb \
	imx6q-sabresd-hdcp.dtb \
	imx6q-sabresd-ldo.dtb \
	imx6q-sabresd-enetirq.dtb \
	imx6q-sbc6x.dtb \
	imx6q-tbs2910.dtb \
	imx6q-tx6q-1010.dtb \
	imx6q-tx6q-1010-comtft.dtb \
	imx6q-tx6q-1020.dtb \
	imx6q-tx6q-1020-comtft.dtb \
	imx6q-tx6q-1110.dtb \
	imx6q-udoo-hdmi.dtb \
	imx6q-udoo-lvds7.dtb \
	imx6q-udoo-lvds15.dtb \
	imx6sx-udoo-neo-basic.dtb \
	imx6sx-udoo-neo-basic-hdmi.dtb \
	imx6sx-udoo-neo-basic-hdmi-m4.dtb \
	imx6sx-udoo-neo-basicks.dtb \
	imx6sx-udoo-neo-basicks-hdmi.dtb \
	imx6sx-udoo-neo-basicks-hdmi-m4.dtb \
	imx6sx-udoo-neo-basicks-lvds15.dtb \
	imx6sx-udoo-neo-basicks-lvds15-m4.dtb \
	imx6sx-udoo-neo-basicks-lvds7.dtb \
	imx6sx-udoo-neo-basicks-lvds7-m4.dtb \
	imx6sx-udoo-neo-basicks-m4.dtb \
	imx6sx-udoo-neo-basic-lvds15.dtb \
	imx6sx-udoo-neo-basic-lvds15-m4.dtb \
	imx6sx-udoo-neo-basic-lvds7.dtb \
	imx6sx-udoo-neo-basic-lvds7-m4.dtb \
	imx6sx-udoo-neo-basic-m4.dtb \
	imx6sx-udoo-neo-extended.dtb \
	imx6sx-udoo-neo-extended-hdmi.dtb \
	imx6sx-udoo-neo-extended-hdmi-m4.dtb \
	imx6sx-udoo-neo-extended-lvds15.dtb \
	imx6sx-udoo-neo-extended-lvds15-m4.dtb \
	imx6sx-udoo-neo-extended-lvds7.dtb \
	imx6sx-udoo-neo-extended-lvds7-m4.dtb \
	imx6sx-udoo-neo-extended-m4.dtb \
	imx6sx-udoo-neo-full.dtb \
	imx6sx-udoo-neo-full-hdmi.dtb \
	imx6sx-udoo-neo-full-hdmi-m4.dtb \
	imx6sx-udoo-neo-full-lvds15.dtb \
	imx6sx-udoo-neo-full-lvds15-m4.dtb \
	imx6sx-udoo-neo-full-lvds7.dtb \
	imx6sx-udoo-neo-full-lvds7-m4.dtb \
	imx6sx-udoo-neo-full-m4.dtb \
	imx6q-wandboard.dtb \
	imx6q-wandboard-revb1.dtb
dtb-$(CONFIG_SOC_IMX6SL) += \
	imx6sl-evk.dtb \
	imx6sl-evk-btwifi.dtb \
	imx6sl-evk-ldo.dtb \
	imx6sl-evk-csi.dtb \
	imx6sl-evk-uart.dtb \
	imx6sl-warp.dtb
dtb-$(CONFIG_SOC_IMX6SX) += \
	imx6sx-14x14-arm2.dtb \
	imx6sx-sabreauto.dtb \
	imx6sx-sabreauto-m4.dtb \
	imx6sx-sdb-reva.dtb \
	imx6sx-sdb-reva-ldo.dtb \
	imx6sx-sdb.dtb	\
	imx6sx-sdb-btwifi.dtb \
	imx6sx-sdb-emmc.dtb \
	imx6sx-sdb-lcdif1.dtb \
	imx6sx-sdb-ldo.dtb	\
	imx6sx-sdb-m4.dtb \
	imx6sx-sdb-mqs.dtb \
	imx6sx-sdb-sai.dtb \
	imx6sx-19x19-arm2.dtb \
	imx6sx-19x19-arm2-ldo.dtb \
	imx6sx-19x19-arm2-csi.dtb \
	imx6sx-19x19-arm2-gpmi-weim.dtb
dtb-$(CONFIG_SOC_IMX6UL) += \
	imx6ul-14x14-ddr3-arm2.dtb \
	imx6ul-14x14-ddr3-arm2-emmc.dtb	\
	imx6ul-14x14-ddr3-arm2-flexcan2.dtb \
	imx6ul-14x14-ddr3-arm2-gpmi-weim.dtb \
	imx6ul-14x14-ddr3-arm2-mqs.dtb \
	imx6ul-14x14-ddr3-arm2-spdif.dtb \
	imx6ul-14x14-ddr3-arm2-wm8958.dtb \
	imx6ul-14x14-evk.dtb \
	imx6ul-14x14-evk-btwifi.dtb \
	imx6ul-14x14-evk-csi.dtb \
	imx6ul-14x14-evk-usb-certi.dtb \
	imx6ul-14x14-lpddr2-arm2.dtb \
	imx6ul-9x9-evk.dtb \
	imx6ul-9x9-evk-btwifi.dtb \
	imx6ul-9x9-evk-csi.dtb \
	imx6ul-9x9-evk-ldo.dtb
dtb-$(CONFIG_SOC_IMX7D) += \
	imx7d-12x12-lpddr3-arm2.dtb \
	imx7d-12x12-lpddr3-arm2-m4.dtb \
	imx7d-12x12-ddr3-arm2.dtb \
	imx7d-12x12-lpddr3-arm2-ecspi.dtb \
	imx7d-12x12-lpddr3-arm2-enet2.dtb \
	imx7d-12x12-lpddr3-arm2-flexcan.dtb \
	imx7d-12x12-lpddr3-arm2-mipi_dsi.dtb \
	imx7d-12x12-lpddr3-arm2-qspi.dtb \
	imx7d-12x12-lpddr3-arm2-sai.dtb \
	imx7d-12x12-lpddr3-arm2-mqs.dtb \
	imx7d-12x12-lpddr3-arm2-pcie.dtb \
	imx7d-19x19-lpddr2-arm2.dtb \
	imx7d-sdb.dtb \
	imx7d-sdb-epdc.dtb \
	imx7d-sdb-gpmi-weim.dtb \
	imx7d-sdb-m4.dtb \
	imx7d-sdb-qspi.dtb \
	imx7d-sdb-mipi-dsi.dtb \
	imx7d-sdb-reva.dtb \
	imx7d-sdb-reva-epdc.dtb \
	imx7d-sdb-reva-gpmi-weim.dtb \
	imx7d-sdb-reva-hdmi-audio.dtb \
	imx7d-sdb-reva-m4.dtb \
	imx7d-sdb-reva-qspi.dtb \
	imx7d-sdb-reva-touch.dtb \
	imx7d-sdb-reva-wm8960.dtb
dtb-$(CONFIG_SOC_LS1021A) += \
	ls1021a-qds.dtb \
	ls1021a-twr.dtb
dtb-$(CONFIG_SOC_VF610) += \
	vf500-colibri-eval-v3.dtb \
	vf610-colibri-eval-v3.dtb \
	imx6sx-sabreauto-m4.dtb \
	vf610-cosmic.dtb \
	vf610-twr.dtb
dtb-$(CONFIG_ARCH_MXS) += \
	imx23-evk.dtb \
	imx23-olinuxino.dtb \
	imx23-stmp378x_devb.dtb \
	imx28-apf28.dtb \
	imx28-apf28dev.dtb \
	imx28-apx4devkit.dtb \
	imx28-cfa10036.dtb \

=== debian/changelog ===
dtweb (1.13) UNRELEASED; urgency=medium

  * Building release

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Fri, 11 Nov 2016 14:27:46 +0000

dtweb (1.13) xenial; urgency=medium

  * Enabled SPI1/2 for UDOO Quad/Dual
  * Multicore build proper support
  * Added dtweb-headless

 -- Francesco Montefoschi <francesco.montefoschi@udoo.org>  Fri, 11 Nov 2016 11:33:29 +0100

dtweb (1.12) xenial; urgency=medium

  * Kernel 4 support

 -- Francesco Montefoschi <francesco.montefoschi@udoo.org>  Wed, 30 Aug 2016 18:00:00 +0000

dtweb (1.11.1) xenial; urgency=medium

  * Xenial

 -- Francesco Montefoschi <francesco.montefoschi@udoo.org>  Wed, 24 Aug 2016 16:25:36 +0000

dtweb (1.11) trusty; urgency=medium

  * Added ecspi2

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Wed, 20 Jul 2016 16:05:28 +0100

dtweb (1.10) trusty; urgency=medium

  * Updated device trees to f9d152e66cb598c88860e9713a910f199b6d4d99

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Tue, 14 Mar 2016 14:02:06 +0100

dtweb (1.9) trusty; urgency=medium

  * Release at af66494a7f39b71f9d80871fce5f49b09cbcc71c

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Tue, 16 Feb 2016 16:16:31 +0100

dtweb (1.8) trusty; urgency=medium

  * UDOO Quad/Dual compatibility

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Fri, 08 Jan 2016 15:54:38 +0100

dtweb (1.7) trusty; urgency=medium

  * Major refactoring in utils

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Wed, 30 Dec 2015 16:55:24 +0100

dtweb (1.6) trusty; urgency=medium

  * Enable SPDIF and I2S audio on UDOO Neo

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Wed, 23 Dec 2015 10:34:39 +0100

dtweb (1.5) trusty; urgency=medium

  * getters in udoo*ctl utils

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Thu, 17 Dec 2015 18:40:08 +0100

dtweb (1.4) trusty; urgency=medium

  * Added udoom4ctl

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Thu, 17 Dec 2015 12:45:07 +0100

dtweb (1.3) trusty; urgency=medium

  * Fixes for defconfigs

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Wed, 16 Dec 2015 11:19:45 +0100

dtweb (1.2) trusty; urgency=medium

  * UDOO Neo support

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Fri, 11 Dec 2015 17:50:49 +0100

dtweb (1.1) trusty; urgency=medium

  * Improved GUI, usability and added warning to prevent short circuits between iMX6 and SAM3X.

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Thu, 12 Nov 2015 14:12:56 +0100

dtweb (1.0) trusty; urgency=low

  * Initial release

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Wed, 04 Nov 2015 16:10:50 +0000

=== debian/control ===
Source: dtweb
Section: admin
Priority: optional
Maintainer: Francesco Montefoschi <francesco.monte@gmail.com>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.4
Homepage: https://github.com/fmntf/dtweb

Package: dtweb
Architecture: any
Depends: php-cli | php5-cli, build-essential, gksu
Description: Device Tree editor
 Device Tree editor in a web browser
